{

	//开场演出测试

    "AbilityName" : "TestPlayer_Ability_Tianheng_23",

    "AbilityStacking": "Unique",



    "AbilityMixins" : 

    [

        {

            "$type" : "MoleMole.SummonMixin",

            "SummonType" : "Avatar",

            "SummonID" : 1011,

            "SummonDuration" : 5,

            "SummonTag" : ["Test"],

            "TimesUpDelay" : 1,

            "OverrideDelay" : 0,



            "SummonPosRot" : 

            {

                "CoordsOption" : "Self",

                "TargetOption" : 

                {

                    "$type" : "MoleMole.ConfigPosRotReferTarget",

                    "OffsetReferTarget" : "Self",

                    "BackupOffsetReferTarget" : "Self",

                },

                "Offset" : 

                {

                    "PositionOffset" : {"x":-1.5, "y":0.0, "z":-0.5},

                    "AngleOffset" : {"x":0.0, "y":0.0, "z":0.0},

                    "BackupPositionOffset" : {"x":-1.5, "y":0.0, "z":-0.5},

                    "BackupAngleOffset" : {"x":0.0, "y":0.0, "z":0.0},



                    "IsUseRotationY" : true,

                    "IsUseRotationXZ" : false,

                }

            },



            "OnSummonCreatedActions" : 

            [

                {

                    "$type" : "MoleMole.SetAnimCtrlerParamAction",

                    "ParamType" : 1,

                    "ParamName" : "Trigger_QuestStart",

                    "Target" : "Target",

                    "BoolVal" : true

                }

            ],



            "OnSummonTimesUpActions" : 

            [

                {

                    "$type" : "MoleMole.SetAnimCtrlerParamAction",

                    "ParamType" : 1,

                    "ParamName" : "Trigger_QuestStart_End",

                    "Target" : "Target",

                    "BoolVal" : true

                },

                {

                    "$type": "MoleMole.DitherFadeAction",

                    "DitherFadeType": "FadeOut",

                    "DitherFadeKey": "Buddy_Dither_Alpha_FadeOut",

                    "Duration": 0.3,

                    "Target" : "Target"

                },

            ]

        }

    ]

}